Bug 29344 - apache-mod_auth_openidc new security issues CVE-2021-3278[56] and CVE-2021-3279[12]
Summary: apache-mod_auth_openidc new security issues CVE-2021-3278[56] and CVE-2021-32...
Status: ASSIGNED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Security (show other bugs)
Version: 8
Hardware: All Linux
Priority: Normal major
Target Milestone: ---
Assignee: QA Team
QA Contact: Sec team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-08 19:44 CEST by David Walser
Modified: 2021-09-13 18:33 CEST (History)
3 users (show)

See Also:
Source RPM: apache-mod_auth_openidc-2.4.2.1-1.1.mga8.src.rpm
CVE: CVE-2021-32786, CVE-2021-32791, CVE-2021-32792
Status comment:


Attachments

Description David Walser 2021-08-08 19:44:33 CEST
Fedora has issued an advisory today (August 8):
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/thread/FZVF6BSJLRQZ7PFFR4X5JSU6KUJYNOCU/

The issues are fixed upstream in 2.4.9.

Mageia 8 is also affected.
David Walser 2021-08-08 19:44:56 CEST

CC: (none) => nicolas.salguero
Status comment: (none) => Fixed upstream in 2.4.9
Whiteboard: (none) => MGA8TOO

Comment 1 Marja Van Waes 2021-08-10 19:42:58 CEST
Assigning to all packagers collectively, because I haven't seen mitya since three years ago.

@ ns80

feel free to reassign to yourself :-)

CC: (none) => marja11, mitya
Assignee: bugsquad => pkg-bugs

Comment 2 Nicolas Salguero 2021-09-09 12:04:31 CEST
Suggested advisory:
========================

The updated package fixes security vulnerabilities:

In versions prior to 2.4.9, `oidc_validate_redirect_url()` does not parse URLs the same way as most browsers do. As a result, this function can be bypassed and leads to an Open Redirect vulnerability in the logout functionality. (CVE-2021-32786)

In mod_auth_openidc before version 2.4.9, the AES GCM encryption in mod_auth_openidc uses a static IV and AAD. It is important to fix because this creates a static nonce and since aes-gcm is a stream cipher, this can lead to known cryptographic issues, since the same key is being reused. (CVE-2021-32791)

In mod_auth_openidc before version 2.4.9, there is an XSS vulnerability in when using `OIDCPreservePost On`. (CVE-2021-32792)

References:
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-32786
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-32791
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-32792
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/thread/FZVF6BSJLRQZ7PFFR4X5JSU6KUJYNOCU/
========================

Updated package in core/updates_testing:
========================
apache-mod_auth_openidc-2.4.9.4-1.mga8

from SRPM:
apache-mod_auth_openidc-2.4.9.4-1.mga8.src.rpm

Status comment: Fixed upstream in 2.4.9 => (none)
CVE: (none) => CVE-2021-32786, CVE-2021-32791, CVE-2021-32792
Version: Cauldron => 8
Status: NEW => ASSIGNED
Assignee: pkg-bugs => qa-bugs
Whiteboard: MGA8TOO => (none)

Comment 3 David Walser 2021-09-13 18:30:58 CEST
SUSE has issued an advisory for this today (September 13):
https://lists.suse.com/pipermail/sle-security-updates/2021-September/009431.html

One additional issue, CVE-2021-32785, was also fixed upstream in 2.4.9.

It should be added to the advisory.

Summary: apache-mod_auth_openidc new security issues CVE-2021-32786 and CVE-2021-3279[12] => apache-mod_auth_openidc new security issues CVE-2021-3278[56] and CVE-2021-3279[12]

Comment 4 David Walser 2021-09-13 18:33:02 CEST
(In reply to David Walser from comment #3)
> SUSE has issued an advisory for this today (September 13):
> https://lists.suse.com/pipermail/sle-security-updates/2021-September/009431.
> html
> 
> One additional issue, CVE-2021-32785, was also fixed upstream in 2.4.9.
> 
> It should be added to the advisory.

Equivalent openSUSE advisory:
https://lists.opensuse.org/archives/list/security-announce@lists.opensuse.org/thread/54B4RYNP5L63X2FMX2QCVYB2LGLL42IY/

Note You need to log in before you can comment on or make changes to this bug.